# List note templates

```
GET 
/generate-note/templates
```

List available note templates.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Available templates.

## Operation spec

```json
{
  "method": "get",
  "path": "/generate-note/templates",
  "operationId": "list-generate-note-templates",
  "parameters": [
    {
      "name": "locale",
      "in": "query",
      "required": true,
      "description": "Locale used to localize template titles and descriptions.",
      "schema": {
        "type": "string",
        "description": "Locale of the note.",
        "enum": [
          "ENGLISH_US",
          "ENGLISH_UK",
          "FRENCH_FR"
        ],
        "example": "ENGLISH_US",
        "title": "note_locale"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Available templates.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "templates"
            ],
            "properties": {
              "templates": {
                "type": "array",
                "description": "Templates available to the organization for note generation.",
                "items": {
                  "type": "object",
                  "required": [
                    "key",
                    "title",
                    "description"
                  ],
                  "properties": {
                    "key": {
                      "type": "string",
                      "description": "Human-readable identifier for this template."
                    },
                    "title": {
                      "type": "string",
                      "description": "The template title in the requested locale."
                    },
                    "description": {
                      "type": "string",
                      "description": "The template description in the requested locale."
                    }
                  },
                  "title": "generate_note_template_summary"
                }
              }
            },
            "title": "generate_note_templates_list_response"
          }
        }
      }
    }
  }
}
```
